%define major 6
%define ixml_major 2
%define libname %mklibname upnp %{major}
%define libixml %mklibname ixml %{ixml_major}
%define libthreadutil %mklibname threadutil %{major}
%define devname %mklibname upnp -d

Summary:	Library and tools for the UPnP protocol
Name:		libupnp
Version:	1.6.17
Release:	6
License:	BSD
Group:		System/Libraries
URL:		http://pupnp.sourceforge.net/
Source0:	http://downloads.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library and tools for the UPnP protocol
Group:		System/Libraries

%description -n %{libname}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%files -n %{libname}
%doc LICENSE NEWS README THANKS TODO
%{_libdir}/libupnp.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libixml}
Summary:	Library and tools for the UPnP protocol
Group:		System/Libraries
Conflicts:	%{_lib}upnp6 < 1.6.17-6

%description -n %{libixml}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%files -n %{libixml}
%{_libdir}/libixml.so.%{ixml_major}*

#----------------------------------------------------------------------------

%package -n %{libthreadutil}
Summary:	Library and tools for the UPnP protocol
Group:		System/Libraries
Conflicts:	%{_lib}upnp6 < 1.6.17-6

%description -n %{libthreadutil}
The Linux SDK for UPnP Devices (libupnp) provides developers with an API and
open source code for building control points, devices, and bridges that are
compliant with Version 1.0 of the Universal Plug and Play Device
Architecture Specification.

%files -n %{libthreadutil}
%{_libdir}/libthreadutil.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libixml} = %{EVRD}
Requires:	%{libthreadutil} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}upnp-static-devel < 1.6.17-6

%description -n %{devname}
Libraries and includes static files for developing programs based on %{name}.

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*pc
%{_docdir}/%{name}

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--with-documentation=%{_docdir}/%{name} \
	--enable-tools \
	--enable-sample \
	--disable-static
%make

%install
%makeinstall_std


%changelog
* Mon Dec 15 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.6.17-6
+ Revision: 942f171
- Disable static library and split library package


